Skip to main content
GET
/
v1
/
flow-runs
cURL
curl --request GET \
  --url https://cloud.activepieces.com/api/v1/flow-runs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "created": "<string>",
      "updated": "<string>",
      "projectId": "<string>",
      "flowId": "<string>",
      "failParentOnFailure": true,
      "flowVersionId": "<string>",
      "status": "FAILED",
      "environment": "PRODUCTION",
      "parentRunId": "<string>",
      "triggeredBy": "<string>",
      "tags": [
        "<string>"
      ],
      "flowVersion": {
        "displayName": "<string>"
      },
      "logsFileId": "<string>",
      "startTime": "<string>",
      "finishTime": "<string>",
      "failedStep": {
        "name": "<string>",
        "displayName": "<string>"
      },
      "stepNameToTest": "<string>",
      "archivedAt": "<string>",
      "stepsCount": 123
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your api key generated from the admin console

Query Parameters

flowId
string[]
required
Pattern: ^[0-9a-zA-Z]{21}$
tags
string[]
required
status
enum<string>[]
required
Available options:
FAILED,
QUOTA_EXCEEDED,
INTERNAL_ERROR,
PAUSED,
QUEUED,
RUNNING,
SUCCEEDED,
MEMORY_LIMIT_EXCEEDED,
TIMEOUT,
CANCELED,
LOG_SIZE_EXCEEDED
limit
number
cursor
string
createdAfter
string
createdBefore
string
projectId
string
required
Pattern: ^[0-9a-zA-Z]{21}$
failedStepName
string
flowRunIds
string[]
required
Pattern: ^[0-9a-zA-Z]{21}$
includeArchived
boolean
required

Response

200 - application/json

Default Response

data
object[]
required
next
string | null
previous
string | null